using System;
using System.Collections.Generic;
using System.Text;
using OtterUnitTestFramework.Public.Test;

namespace OtterUnitTestFramework.DataStruct
{
    /// <summary>
    /// Handles the list fo Test Case Templates. Note this is a
    /// Singleton.
    /// </summary>
    internal class TestCaseTemplateList
    {
        private static IList<TestCaseTemplate> _testCaseTemplateList = null;

        /// <summary>
        /// Private constructor - avoid its instatiation because
        /// this class is a singleton.
        /// </summary>
        private TestCaseTemplateList()
        {
            //do nothing
        }

        /// <summary>
        /// Get a instance of the Test Case Template List.
        /// </summary>
        /// <returns></returns>
        internal static IList<TestCaseTemplate> getInstance()
        {
            //Singleton - in case the list is null, initialize it
            if (_testCaseTemplateList == null)
            {
                _testCaseTemplateList = new List<TestCaseTemplate>();
            }
            return _testCaseTemplateList;
        }
    }
}
