using System;
using System.Collections.Generic;
using System.Text;
using OtterUnitTestFramework.Public.Test;
using OtterUnitTestFramework.DataStruct;

namespace OtterUnitTestFramework.Event
{
    /// <summary>
    /// This class handles the classes which will be tested.
    /// </summary>
    public class TestRegistration
    {
        /// <summary>
        /// Register a Test Case Template (to be obviously tested).
        /// </summary>
        /// <param name="testCaseTemplate">Test Case Templated to be added and tested</param>
        public void RegisterTest(TestCaseTemplate testCaseTemplate)
        {
            //add the test to the list in case it is not already there
            if (!TestCaseTemplateList.getInstance().Contains(testCaseTemplate))
            {
                TestCaseTemplateList.getInstance().Add(testCaseTemplate);
            }
        }

        /// <summary>
        /// Remove a Test Case template.
        /// </summary>
        /// <param name="testCaseTemplate">Test Case Template to be removed</param>
        public void RemoveRegisteredTest(TestCaseTemplate testCaseTemplate)
        {
            //remove the Test Case Template in case it is in the list
            if (TestCaseTemplateList.getInstance().Contains(testCaseTemplate))
            {
                TestCaseTemplateList.getInstance().Remove(testCaseTemplate);
            }
        }
    }
}
