using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace OtterUnitTestFramework.Forms
{
    /// <summary>
    /// Shows the Message displayed when a test was executed.
    /// </summary>
    public partial class TestMessageForm : Form
    {
        #region Constructors

        /// <summary>
        /// Constructor. One needs to fill in the class name, method name and message to be displayed.
        /// </summary>
        /// <param name="className">Class Name</param>
        /// <param name="methodName">Method Name</param>
        /// <param name="message">Message to be displayed</param>
        public TestMessageForm(String className, String methodName, String message)
        {
            InitializeComponent();
            //set elements to be displayed
            insertElementsToBeDisplayed(className, methodName, message);
        }

        #endregion

        #region Listeners
        /// <summary>
        /// Close this Form.
        /// </summary>
        /// <param name="sender">Sender Object</param>
        /// <param name="e">Event Object</param>
        private void BtnClose_Click(object sender, EventArgs e)
        {
            //close this form
            this.Close();
        }

        #endregion

        #region Private Methods

        /// <summary>
        /// Insert the elements to be displayed.
        /// </summary>
        /// <param name="className">Class Name</param>
        /// <param name="methodName">Method Name</param>
        /// <param name="message">Message to be displayed</param>
        private void insertElementsToBeDisplayed(String className, String methodName, String message)
        {
            //set elements to be displayed
            _txbClass.Text = className;
            _txbMethod.Text = methodName;
            _rtbMessage.Text = message;
        }

        #endregion
    }
}