using System;
using System.Collections.Generic;
using System.Text;
using OtterUnitTestFramework.Public;
using OtterUnitTestFramework.Public.Test;

namespace OtterUnitTestFrameworkRunner.Test
{
    /// <summary>
    /// Implement the Second Test Case Template to run some dumny tests.
    /// </summary>
    public class SecondTestCase : TestCaseTemplate
    {
        /// <summary>
        /// Just a success test that does nothing.
        /// </summary>
        public void TestCaseTestAnotherSuccess()
        {
            //do nothing
        }

        /// <summary>
        /// Just a test that will fail by making an assertion.
        /// </summary>
        public void TestCaseAnotherFail()
        {
            //make false assertion
            Assert.Fail("This is is doomed to fail, AGAIN!");
        }

        /// <summary>
        /// This method should not be included in the list test
        /// because it has a return type different than void.
        /// </summary>
        /// <returns>Dumny Value</returns>
        public Int32 TestCaseAnotherWrongMethodReturnType()
        {
            //do nothing
            return 0;
        }

        /// <summary>
        /// This method should not be included because it has parameters
        /// when it ought not.
        /// </summary>
        /// <param name="param1">Dumny Value</param>
        /// <param name="param2">Dumny Value</param>
        public void TestCaseAnotherWrongMethodSignature(Int32 param1, Double param2)
        {
            //do nothing
        }

        /// <summary>
        /// This method should not be included in the test because it
        /// has the wrong return type (it is not void) and it has parameters.
        /// </summary>
        /// <param name="param1">Dumny Value</param>
        /// <param name="param2">Dumny Value</param>
        /// <returns>Dumny Value</returns>
        public Double TestCaseAnotherWrongMethodSignatureAndReturnType(Int32 param1, String param2)
        {
            return Double.MaxValue;
            //do nothing
        }

        /// <summary>
        /// Test the AssertIsTrue method - it must fail and show an adequate message.
        /// </summary>
        public void TestCaseFailAssertIsTrueWithMessage()
        {
            //fail with message
            Assert.IsTrue(false, "The test has failed on purporse.");
        }

        /// <summary>
        /// Test the AssertIsTrue method - it must fail and show no message.
        /// </summary>
        public void TestCaseFailAssertIsTrueWithEmptyMessage()
        {
            //fail with message
            Assert.IsTrue(false, String.Empty);
        }

        /// <summary>
        /// Test the AssertIsTrue method - it must fail and show no message.
        /// </summary>
        public void TestCaseFailAssertIsTrueWithNullMessage()
        {
            //fail with message
            Assert.IsTrue(false, null);
        }
    }
}
