using System;
using System.Collections.Generic;
using System.Text;
using OtterUnitTestFramework.Public;
using OtterUnitTestFramework.Public.Test;

namespace OtterUnitTestFrameworkRunner.Test
{
    /// <summary>
    /// Test more metods
    /// </summary>
    public class ThirdTestCase : TestCaseTemplate
    {
        /// <summary>
        /// Test the success of reference equals
        /// </summary>
        public void TestCaseReferencesEquals()
        {
            Object a = new object();
            Object b = a;
            Object c = new object();
            Assert.AreReferencesEqual(a, b, "error message for reference equals");
            Assert.AreReferencesNotEqual(a, c, "error message for reference equals");
        }

        /// <summary>
        /// Fails the test of reference equals
        /// </summary>
        public void TestCaseFailReferenceEquals()
        {
            Int32 a = 1;
            Int32 d = 1;
            Assert.AreReferencesEqual(a, d, "error message - good");
        }

        /// <summary>
        /// Test the is greater and is less methods
        /// </summary>
        public void TestCaseIsGreaterAndIsLess()
        {
            Int32 one = 1;
            Int32 two = 2;
            Assert.IsGreater(two, one, "This test should have passed.");
            Assert.IsLess(one, two, "This test should have passes.");
        }

        /// <summary>
        /// Fails the is greater test
        /// </summary>
        public void TestCaseFailIsGreater()
        {
            Int32 one = 1;
            Int32 two = 2;
            Assert.IsGreater(one, two, "Good - this should have happened.");
        }

        /// <summary>
        /// Fails the is less test
        /// </summary>
        public void TestCaseFailIsLess()
        {
            Int32 one = 1;
            Int32 two = 2;
            Assert.IsLess(two, one, "Good - this should have happened.");
        }
    }
}
